Update Webhook
curl --request PATCH \
--url https://api.example.com/api/v1/webhooks/subscriptions/{webhook_id} \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"subscribed_events": [
"<string>"
],
"description": "<string>",
"is_active": true
}
'import requests
url = "https://api.example.com/api/v1/webhooks/subscriptions/{webhook_id}"
payload = {
"url": "<string>",
"subscribed_events": ["<string>"],
"description": "<string>",
"is_active": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
subscribed_events: ['<string>'],
description: '<string>',
is_active: true
})
};
fetch('https://api.example.com/api/v1/webhooks/subscriptions/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"secret_prefix": "<string>",
"subscribed_events": [
"<string>"
],
"is_active": true,
"status": "<string>",
"failure_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}webhooks
Update Webhook
Update a webhook subscription.
PATCH
/
api
/
v1
/
webhooks
/
subscriptions
/
{webhook_id}
Update Webhook
curl --request PATCH \
--url https://api.example.com/api/v1/webhooks/subscriptions/{webhook_id} \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"subscribed_events": [
"<string>"
],
"description": "<string>",
"is_active": true
}
'import requests
url = "https://api.example.com/api/v1/webhooks/subscriptions/{webhook_id}"
payload = {
"url": "<string>",
"subscribed_events": ["<string>"],
"description": "<string>",
"is_active": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
subscribed_events: ['<string>'],
description: '<string>',
is_active: true
})
};
fetch('https://api.example.com/api/v1/webhooks/subscriptions/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"secret_prefix": "<string>",
"subscribed_events": [
"<string>"
],
"is_active": true,
"status": "<string>",
"failure_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"description": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Body
application/json
Response
Successful Response
Full webhook response.